GeoTessCPP: geotess::ProfileType Class Reference

GeoTessCPP 2.0.0 Software to facilitate storage and retrieval of 3D information about the Earth.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Friends Macros
Public Member Functions | Static Public Member Functions | Static Public Attributes
geotess::ProfileType Class Reference

`#include <ProfileType.h>`

Inheritance diagram for geotess::ProfileType:

List of all members.

## Public Member Functions
virtual | ~ProfileType ()
Public Member Functions inherited from geotess::EnumType
virtual | ~EnumType ()
string | toString () const
string | name () const
int | ordinal () const

## Static Public Member Functions
static const ProfileType * | valueOf (const string &s)
static ProfileType const *const *const | values ()
static int | size ()

## Static Public Attributes
static const ProfileType | EMPTY
static const ProfileType | THIN
static const ProfileType | CONSTANT
static const ProfileType | NPOINT
static const ProfileType | SURFACE
static const ProfileType * | aArray []

## Additional Inherited Members
Protected Member Functions inherited from geotess::EnumType
| EnumType ()
| EnumType (const EnumType &et)
EnumType & | operator= (const EnumType &et)
| EnumType (const string &name, int ordinal)
Static Protected Member Functions inherited from geotess::EnumType
static const EnumType * | valueOf (const string &s, EnumType const *const *const array, int n)
Protected Attributes inherited from geotess::EnumType
const string | aName
const int | aOrdinal

## Detailed Description

*An enum list of the valid Profile types, including EMPTY, THIN, CONSTANT, NPOINT and SURFACE.

Author:
  Sandy Ballard

## Constructor & Destructor Documentation

virtual geotess::ProfileType::~ProfileType | ( |  | ) |
| inlinevirtual

Standard Destructor.

## Member Function Documentation

static int geotess::ProfileType::size | ( |  | ) |
| inlinestatic

Returns the total number of enums of this type.

static const ProfileType* geotess::ProfileType::valueOf | ( | const string & | s | ) |
| inlinestatic

Returns a pointer to the enum whose string matches the input string. If no match is found null is returned.

Parameters:

  s | The input string for which a match in array is returned (or null).

Returns:
  The match of s in the names of array or null if one was not found.

static ProfileType const* const* const geotess::ProfileType::values | ( |  | ) |
| inlinestatic

Returns the array of all enums for this type.

## Member Data Documentation

const ProfileType* geotess::ProfileType::aArray[]
| static

The array containing all enums declared above.

const ProfileType geotess::ProfileType::CONSTANT
| static

const ProfileType geotess::ProfileType::EMPTY
| static

Assignment Operator. The actual enums for this type.

const ProfileType geotess::ProfileType::NPOINT
| static

const ProfileType geotess::ProfileType::SURFACE
| static

const ProfileType geotess::ProfileType::THIN
| static

The documentation for this class was generated from the following file:

- include/ProfileType.h